Get profile details
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles/{uuid}/profile \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles/{uuid}/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/observability/profiles/{uuid}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_project_id": "abc123def456",
"_environment_id": "main",
"_branch_machine_name": "main-bvxea6i",
"_agent": "a38f69ca-3b56-4ea6-beac-272b2568164a",
"_uuid": "4b5266a2-fd71-468b-bf05-87b342079cbf",
"profile": {}
}Blackfire Profiling
Get profile details
Returns full profile data including metrics, metadata, and recommendations.
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
observability
/
profiles
/
{uuid}
/
profile
Get profile details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the Upsun project
Pattern:
[a-z0-9]+Example:
"abc123def456"
The environment identifier
Pattern:
.+Example:
"main"
The profile UUID
Pattern:
[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}Example:
"4b5266a2-fd71-468b-bf05-87b342079cbf"
Response
Profile details retrieved successfully
Project identifier
Example:
"abc123def456"
Environment identifier
Example:
"main"
Branch machine name
Example:
"main-bvxea6i"
Blackfire Agent UUID
Example:
"a38f69ca-3b56-4ea6-beac-272b2568164a"
Profile UUID
Example:
"4b5266a2-fd71-468b-bf05-87b342079cbf"
Profile data including links, metadata, metrics, recommendations, and status information
Last modified on June 16, 2026
Was this page helpful?